<?php
/**
* Global Color Settings.
*
* @package Spa Parlor
*/

$spa_parlor_default = spa_parlor_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'spa_parlor_global_secondary_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'spa-parlor' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'spa_parlor_theme_option_panel',
	)
);

$wp_customize->add_setting( 'spa_parlor_global_color',
    array(
    'default'           => '#454B40 ',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'spa_parlor_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'spa-parlor' ),
        'section'    => 'spa_parlor_global_color_setting',
        'settings'   => 'spa_parlor_global_color',
    ) ) 
);

$wp_customize->add_setting( 'spa_parlor_global_secondary_color',
    array(
    'default'           => '#1a1a1a',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'spa_parlor_global_secondary_color',
    array(
        'label'      => esc_html__( 'Secondary Color', 'spa-parlor' ),
        'section'    => 'spa_parlor_global_color_setting',
        'settings'   => 'spa_parlor_global_secondary_color',
    ) ) 
);